Welcome, Guest
Username: Password: Remember me
  • Page:
  • 1

TOPIC:

PHP 8 2 months 3 weeks ago #27783

  • Kralyk
  • Kralyk's Avatar Topic Author
  • Offline
  • Expert Boarder
  • Expert Boarder
  • Posts: 122
  • Thank you received: 22
Good day,
has anyone tested whether the latest version of JEM runs under PHP 8?

I do not have the possibility to test it, so I'll be glad for any information.

Please Log in or Create an account to join the conversation.

PHP 8 2 months 1 week ago #27850

  • jojo12
  • jojo12's Avatar
  • Offline
  • Moderator
  • Moderator
  • Posts: 3334
  • Karma: 45
  • Thank you received: 363
As much as I've seen, JEM works well with php8. There are some deprecated. I'be posted it on git.
Meanwhile cb will only work on php 8 with version 2.5.0 ( now it's 2.4.7)

EDIT: it's not true, there are not only deprecated, there are some error notifications inside of JEM too with php 8
We are collecting the notifications in github.
on JEM 2.3.0 stable in latest Joomla (3.9.22) Protostar php7.4.5
The following user(s) said Thank You: Kralyk, Wolfgang

Please Log in or Create an account to join the conversation.

Last edit: by jojo12.

PHP 8 2 months 1 week ago #27851

  • Wolfgang
  • Wolfgang's Avatar
  • Away
  • Moderator
  • Moderator
  • voluntary webmaster since 1996
  • Posts: 71
  • Thank you received: 36
Then I will stay on PHP 7.4 for now, although today I got the option to move to PHP 8 from my provider.
The following user(s) said Thank You: jojo12

Please Log in or Create an account to join the conversation.

  • Page:
  • 1
Time to create page: 0.335 seconds

Donate

If you find JEM useful and if you use it on your site, please consider a donation to the project.

Private Messages

You are not logged in.

Follow us......